# Interface CircleDto

Data transfer object for markup circles, this represents the circle data that will be saved to the layer.

interface CircleDto {
circlePoint: Vertex3;
color: RgbaDTO;
id: string;
lineThickness: number;
properties: { [key: string]: string | number | boolean };
radiusPoint: Vertex3;
type: Circle;
}

#### Hierarchy (View Summary)

- EntityBaseDto
  - CircleDto

##### Index

### Properties

circlePoint
color
id
lineThickness
properties
radiusPoint
type

## Properties

### circlePoint

circlePoint: Vertex3

### color

color: RgbaDTO

### id

id: string

Inherited from EntityBaseDto.id

### lineThickness

lineThickness: number

### properties

properties: { [key: string]: string | number | boolean }

Inherited from EntityBaseDto.properties

### radiusPoint

radiusPoint: Vertex3

### type

type: Circle